<?php
require_once('Utilisateur.php');
require_once('Codes.php');


class UtilisateurDAO {

  function lireUtilisateurParId($id) {
    global $DB_INFO;
    $db= null;
    $db= $DB_INFO->creerConnexion();
    $st = $db->prepare("SELECT * FROM auteur WHERE id_auteur= :id");
    $st->bindParam(":id", $id);
    $st->execute();
    $resultat= $st->fetchObject('Utilisateur');
    if ($resultat) {
      return $resultat;
    } else {
      return false;
    }
    // La connexion est automatiquement fermée car $db est locale.
  }


  function lireUtilisateur($login) {
    global $DB_INFO;
    $db= null;
    $db= $DB_INFO->creerConnexion();
    $st = $db->prepare("SELECT * FROM auteur WHERE login= :login");
    $st->bindParam(":login", $login);
    $st->execute();
    $resultat= $st->fetchObject('Utilisateur');
    if ($resultat) {
      return $resultat;
    } else {
      return false;
    }
    // La connexion est automatiquement fermée car $db est locale.
  }

  // Crée un utilisateur
  function creer($utilisateur) {
    global $DB_INFO;
    $db= null;
    $db= $DB_INFO->creerConnexion();
    $st = $db->prepare("INSERT INTO auteur (login, password, signature) VALUES (?,?,?)");
    $st->bindValue(1, $utilisateur->login);
    $st->bindValue(2, $utilisateur->password);
    $st->bindValue(3, $utilisateur->signature);
    $st->execute();
    $utilisateur->id_auteur= $db->lastInsertId();
  }
}

?>