<?php
  // Les classes des objets en session doivent tre charges avant l'appel  session_start()
require_once("code/Utilisateur.php");

session_start();
// fonctions utilitaires
require_once("code/general.php");
  // Travail du frontal :
  // recevoir la requte, choisir le traitement  effectuer en fonction de la requte, des donnes
  // 
  // traiter la requte en fonction des droits de l'utilisateur.
  // 
  // afficher la page de rsultat correspondant.
  //
  // Le but de cet exemple n'est pas de proposer une solution "clef en main"... cela reviendrait  crire un framework
  // complet, qui risquerait pour le coup d'tre difficile  comprendre compltement.
  // Nous dsirons ici mettre en vidence un certain nombre de principes qui se retrouveront dans la plupart 
  // des solutions existantes.
  // Chacune des tapes proposes peut tre gnralise. Par exemple, la gestion des droits de l'utilisateurs 
  // peut tre rendue plus abstraite et donc a priori plus indpendante du reste du programme.

  // conventions : action=... : adresse de la page  charger
  // page= ... ;  pour la visualisation pagine, numro de la page.
  // message= ... ; message affichable

if (isset($_GET['action'])) 
  $action= $_GET['action'];
 else
   $action="";

require_once("code/Messages.php");

// Initialisation des donnes pour la vue :
$vue= array();
$vue['titrePage']= "pas de titre";

// pages possibles : creer_article, lire, creer_utilisateur
// lister (sert aussi  la recherche)

switch ($action) {
 case 'connexion':
   require_once('code/ConnexionControle.php');
   $commande= new ConnexionControle();
   break;
 case 'deconnexion':
   require_once('code/DeconnexionControle.php');
   $commande= new DeconnexionControle();
   break;
 case 'creer_utilisateur':
   require_once('code/CreerUtilisateurControle.php');
   $commande= new CreerUtilisateurControle();
   break;
 case 'lire': // lire un article
   require_once('code/LireControle.php');
   $commande= new LireControle();
   break;
 case 'message': // afficher un message quelconque...
   require_once('code/MessageControle.php');
   $commande= new MessageControle();
   break;
 case 'creer_article':
   require_once('code/CreerArticleControle.php');
   $commande= new CreerArticleControle();
   break;
 case 'lister':
   require_once('code/ListerControle.php');
   $commande= new ListerControle();
   break;
 case '': // page d'accueil
   require_once('code/PageControle.php');
   $commande= new PageControle("accueil.php");
   break;
 default:
   require_once('code/InconnuControle.php');
   $commande= new InconnuControle();
}

$commande->executer();

require_once('code/EntreeMenu.php');

$menu= array(
	     new EntreeMenu("Connexion", "index.php", array("action" => "connexion")),
	     new EntreeMenu("Deconnexion", "index.php", array("action" => "deconnexion")),
	     new EntreeMenu("Crer un nouvel utilisateur", "index.php", array("action" => "creer_utilisateur")),
	     new EntreeMenu("Crer un nouvel article", "index.php", array("action" => "creer_article")),
	     new EntreeMenu("Lister", "index.php", array("action" => "lister"))
);

if ($commande->redirect) {
  header('Location: ' . $commande->redirect);
 } else if ($commande->page) {
  // Affichage du rsultat.
  // On peut faire traiter cette partie  part, rendant ainsi possible :
  // a) la gnration de pages avec une structure variable
  // b) la gnration de rsultats qui ne soient pas des pages html (exemple : images).

  include("ui/entete.php");
  include("ui/menu.php");
  include("ui/liste_messages.php");
  echo "<div class='contenu'>";
  include("ui/". $commande->page);
  echo "</div>";
  include("ui/pied.php");
 }
?>
